


Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version: 	5.1.0
Release:    %mkrel 1
Group:		Graphical desktop/KDE5
License:	GPLv2
URL:		http://www.kdevelop.org/
Source0:	http://download.kde.org/stable/kdevelop/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: clang-devel
BuildRequires: llvm-devel
BuildRequires: cmake 
BuildRequires: kdevelop-pg-qt-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kdevplatform-devel
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5declarative-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5jobwidgets-devel 
BuildRequires: lib64kf5krunner-devel 
BuildRequires: lib64kf5newstuff-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5plasma-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5texteditor-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5threadweaver-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64ksysguard-devel 
BuildRequires: lib64qt5concurrent-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5help-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5qml-devel 
BuildRequires: lib64qt5quick-devel 
BuildRequires: lib64qt5quickwidgets-devel 
BuildRequires: lib64qt5test-devel 
BuildRequires: lib64qt5webkit-devel 
BuildRequires: lib64qt5webkitwidgets-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: mesa-devel 
BuildRequires: qtbase5-common-devel 

Requires:	cmake
Requires:	git
Requires:	kdevplatform

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files -f %name.lang
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_applicationsdir}/*.desktop
%{_kf5_bindir}/*
%{_kf5_datadir}/kdev*
%{_kf5_knotificationsdir}/kdevelop.notifyrc
%{_kf5_datadir}/plasma/plasmoids/kdevelopsessions
%{_kf5_datadir}/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_libdir}/libkdevcmakecommon.so
%{_kf5_libdir}/libKDevClangPrivate.so.*
%{_kf5_services}/kdevelopsessions.desktop
%{_kf5_services}/plasma-applet-kdevelopsessions.desktop
%{_kf5_services}/plasma-dataengine-kdevelopsessions.desktop
%{_qt5_plugindir}/kdevplatform/27/*.so
%{_qt5_plugindir}/krunner_kdevelopsessions.so
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_kdevelopsessions.so
%{_kf5_datadir}/metainfo
%{_kf5_datadir}/kxmlgui5/kdevcppcheck/kdevcppcheck.rc
#------------------------------------------------

%package	devel
Summary:	Development files for kdevelop
Group:		Development/Libraries
Requires:	%{name}

%description	devel
Development files for kdevelop.

%files devel
%{_includedir}/kdevelop
%{_kf5_libdir}/cmake/KDevelop

#------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang %name --all-name --with-html 


%changelog
* Tue Apr 11 2017 bb2 <bb2> - 5.1.0-1pclos2017
- new version

* Sun Jan 08 2017 bb <bb> - 5.0.3-2pclos2017
- rebuild for new clang

* Sun Jan 01 2017 bb <bb> - 5.0.3-1pclos2017
- update

